#include<stdio.h>

int main()
{
  unsigned int m,n;
  int i, j, s=0, r;
  scanf("%u %u",&m,&n);
  
  if(n <= 0 || m <= 0 || m < n)
  {
    printf("-1\n");
    return ;
  }
 
  
  for(i=0; i< m-n+1; i++)
  {
    
    for(j=1; j<=n; j++)
    {
      r=1;
     s += r;
     r++;
    }
    printf("%d ",s+n);
    //s=0;
  }
    
  
  printf("\n");
  
  return 0;
}